Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.table
Class RowComparator

`java.lang.Object
oracle.dms.table.NameSupport
oracle.dms.table.RowComparator`

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, java.util.Comparator, Name, java.io.Serializable

public class RowComparator
extends NameSupport
implements java.util.Comparator

A `RowComparator` compares `Row`s by the values of the given column.

Since:
  Oracle Application Server 10g (10.1.3)
See Also:
  Serialized Form

Constructor Summary
`RowComparator(java.lang.String name, boolean isAscending)` Creates an `RowComparator`.

Method Summary
`int` | `compare(java.lang.Object obj1, java.lang.Object obj2)` Compares two `Row`s for order.

Methods inherited from class oracle.dms.table.NameSupport
`compareTo, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### RowComparator

    public RowComparator(java.lang.String name,
                         boolean isAscending)

  Creates an `RowComparator`. This `RowComparator` is able to order `Row` according to the values of the given column.
Parameters:
  `name` - Column name.
  `isAscending` - `true` to order in the ascending order.
Since:
  Oracle Application Server 10g (10.1.3)

Method Detail

### compare

    public int compare(java.lang.Object obj1,
                       java.lang.Object obj2)

  Compares two `Row`s for order. Returns a negative integer, zero, or a positive integer as the value of the column in the first `Row` is less than, equal to, or greater than the one in the second `Row`.
  Specified by:
    `compare` in interface `java.util.Comparator`
  Parameters:
    `obj1` - the first `Row` to be compared.
    `obj2` - the second `Row` to be compared.
  Returns:
    a negative integer, zero, or a positive integer as the value of the column in the first `Row` is less than, equal to, or greater than the one in the second `Row`.
  Throws:
    `java.lang.ClassCastException` - if any of the arguments is not `Row`
  Since:
    Oracle Application Server 10g (10.1.3)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.